<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class DummyPluginModel extends Model
{
    protected $table = null; // No actual table

    protected $guarded = []; // Allow mass assignment for all attributes

    public $incrementing = false;

    protected $keyType = 'string';

    protected $primaryKey = 'id';

    public function newCollection(array $models = [])
    {
        return new \Illuminate\Database\Eloquent\Collection($models);
    }

    public function newEloquentBuilder($query)
    {
        return new \App\Filament\Resources\PluginResource\CollectionEloquentBuilder($query);
    }
}
